Bug 10220 - Memory leakage when run for long time
Summary: Memory leakage when run for long time
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: XFree86   
(Show other bugs)
Version: 6.1
Hardware: i386
OS: Linux
medium
low
Target Milestone: ---
Assignee: Preston Brown
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-03-17 15:10 UTC by Tim Lundstrvm
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-03-17 15:10:14 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Tim Lundstrvm 2000-03-17 15:10:14 UTC
If you have the X-server running for long periods of time it slowly grows
in memory-consumption. The growth rate is low and only noticable if you run
X for several weeks.

I have noticed this behavior in XFree86 3.3.5.

Comment 1 Preston Brown 2000-07-13 19:22:30 UTC
this is most likely due actually to programs that you are using.  Some programs
allocate pixmaps in the the server and then never free them up.  This causes the
server to grow in size.

XScreenSaver is a frequent culprit. There is no real fix for this on the
horizon.


Note You need to log in before you can comment on or make changes to this bug.